/* Overriding some of ngx-chart classes for turnovers bar-chart */

nlb-dashboard-budgets-widget {
  bb-amount-ui.bb-highlight {
    //color: $nlbDarkestGreyColor;
    font-family: Roboto, sans-serif;
    font-size: 16px;
  }

  nlb-transaction-category-icon.smaller-category-icons i.category-icon {
    padding: 0;
    font-size: 18px;
    color: $nlbMainGreyColor;
  }

  .budget-card-container {
    .budget-card-header {
      padding-top: 22px;
      font-size: 14px;

      .budget-card-header-title {
        font-family: Roboto, sans-serif;
        font-weight: bold;
      }
    }
  }

  bb-turnovers-bar-chart {
    //.bb-chart {
    display: block;
    padding-top: 65px;
    //}
  }

  .card-body-custom {
    margin-top: -15px;
    //height: 100px;
    bb-budget-card-info-ui {
      margin-top: -55px;
      margin-bottom: 10px;

      .bb-stack {
        &__item {
          font-size: 12px;
          color: $nlbMainGreyColor;

          .bb-amount__value {
            font-size: 12px;
          }
          //.bb-highlight {
          //  //color: $nlbDarkestGreyColor;
          //  font-family: Roboto, sans-serif;
          //  font-size: 16px;
          //}

          &--spacing-xl {
            margin-right: 7rem;

            /* On screens between 600 and 900px */
            @media screen and (max-width: 1400px) and (min-width: 1280px) {
              margin-right: 6rem;
            }

            /* On screens that are 600px or less, set the background color to olive */
            @media screen and (max-width: 1160px) {
              margin-right: 6rem;
            }

            /* On screens that are 600px or less, set the background color to olive */
            @media screen and (max-width: 991px) {
              margin-right: 15rem;
            }

            /* On screens that are 600px or less, set the background color to olive */
            @media screen and (max-width: 900px) {
              margin-right: 15rem;
            }

            @media screen and (max-width: 767px) {
              margin-right: 10rem;
            }

            @media screen and (max-width: 576px) {
              margin-right: 7rem;
            }
          }
        }
      }
    }
  }

  ngx-charts-chart {
    //width: 100px;

    .ngx-charts-outer {
      //width: 100% !important;
    }

    .ngx-charts {
      float: none;
      min-height: 50px;
      //width: 100px;
      height: 120px;
    }
  }

  .bb-chart {
    .chart-legend {
      width: 100% !important;

      .legend-label-text {
        width: 100%;
      }

      .legend-labels {
        background: transparent;
      }

      .legend-label-color {
        border-radius: 100%;
      }
    }

    .grid-panel {
      &.odd {
        rect {
          fill: transparent;
        }
      }

      &.forecast {
        rect {
          fill: map-deep-get($color-palette, 'neutrals', 'lightest');
        }
      }
    }
  }

  .empty-state {
    &__content {
      padding: 42px 0;
    }
  }
}

:root {
  --chart-group-bar-color: #{$nlbGreenColor}, #{$nlbGreyColor};
}
